Subject: bug#8441: Patches making libtool-2.4-1 build under GNU/Hurd

From: Ralf Wildenhues <[email-masked]>
Date: Thu, 7 Apr 2011 20:24:33 +0200

* Svante Signell wrote on Thu, Apr 07, 2011 at 08:20:55PM CEST:
> On Thu, 2011-04-07 at 20:06 +0200, Ralf Wildenhues wrote:
> > > --- libtool-2.4/tests/cmdline_wrap.at.orig	2010-05-20 23:18:41.000000000 +0200
> > > +++ libtool-2.4/tests/cmdline_wrap.at	2011-02-06 11:08:29.000000000 +0100
> > > @@ -30,6 +30,9 @@

> > > +# Setting low max_cmd_len on "hurd-386" does not make sense"
> > > +AT_CHECK([if test "$host_os" == "gnu" ; then exit 77; fi])
> > 
> > Please use = not ==, the former is Posix test, the latter bash-specific.
> 
> OK, do you want me to send an update?

I can't speak for Kurt, I only help maintain upstream.  ;-)

> > Does this test actually fail on hurd-i386, or is this just because you
> > consider it wasted time?  In the former case, please send the patch
> > upstream but also show a cut-n-paste of the failing test log.
> 
> Yes, this test fails without the patch. I'll build an unpatched version
> and submit the failing test log. BTW: Where is upstream, is
> [email-masked] sufficient?

Sure, but you can just as well send a patch right to libtool-patches
(first-post moderation, but subscribing is not required).

Thanks,
Ralf